package com.yihu.wlyy.entity.patient;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 健康记录(用药)
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_patient_health_record_medication")
public class PatientHealthRecordMedication extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7560620704878032077L;

	// 记录标识
	private String code;
	// 患者标志
	private String patient;
	// 记录时间
	private Date recordDate;
	// 药品标识
	private String medicines;
	// 药品名称
	private String medicinesName;
	// 排序日期
	private Date sortDate;
	// 添加时间
	private Date czrq;
	// 是否作废，1正常，0作废
	private String del;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
	@Column(name = "record_date")
	public Date getRecordDate() {
		return recordDate;
	}

	public void setRecordDate(Date recordDate) {
		this.recordDate = recordDate;
	}

	public String getMedicines() {
		return medicines;
	}

	public void setMedicines(String medicines) {
		this.medicines = medicines;
	}

	@Column(name = "medicines_name")
	public String getMedicinesName() {
		return medicinesName;
	}

	public void setMedicinesName(String medicinesName) {
		this.medicinesName = medicinesName;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@Column(name = "sort_date")
	public Date getSortDate() {
		return sortDate;
	}

	public void setSortDate(Date sortDate) {
		this.sortDate = sortDate;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
